Debian Bug report logs - #627742
pu: package libfinance-quotehist-perl/1.14-1+squeeze1

version graph

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: John Lightsey <lightsey@debian.org>

Date: Tue, 24 May 2011 05:57:01 UTC

Severity: normal

Tags: confirmed, squeeze

Fixed in version 6.0.2

Done: Adam D. Barratt <adam@adam-barratt.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#627742; Package release.debian.org. (Tue, 24 May 2011 05:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Lightsey <lightsey@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 24 May 2011 05:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: John Lightsey <lightsey@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: pu: package libfinance-quotehist-perl/1.14-1+squeeze1
Date: Tue, 24 May 2011 00:26:56 -0500
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: pu

Hi,

The unit tests in libfinance-quotehist-perl 1.14-1 fail because they assume
that adjusted historical stock quotes queried from public sources will remain
constant. This assumption is faulty and the upstream author has overhauled the
unit tests in 1.16 to correct this. For 1.14-1 in stable, I'd like to disable
the unit tests to close out the FTBFS bug #612914.

diff --git a/debian/changelog b/debian/changelog
index 2c1d80d..0db8541 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,9 @@
+libfinance-quotehist-perl (1.14-1+squeeze1) stable; urgency=low
+
+  * Disable faulty unit tests. (Closts: #612914)
+
+ -- John Lightsey <lightsey@debian.org>  Mon, 23 May 2011 23:58:00 -0500
+
 libfinance-quotehist-perl (1.14-1) unstable; urgency=low

   * Initial Release. (Closes: #588401)
diff --git a/debian/rules b/debian/rules
index 2d33f6a..20f4b36 100755
--- a/debian/rules
+++ b/debian/rules
@@ -2,3 +2,5 @@

 %:
        dh $@
+
+override_dh_auto_test:


-- System Information:
Debian Release: 6.0.1
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/4 CPU cores)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#627742; Package release.debian.org. (Wed, 25 May 2011 19:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 25 May 2011 19:45:06 GMT) Full text and rfc822 format available.

Message #10 received at 627742@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: John Lightsey <lightsey@debian.org>, 627742@bugs.debian.org
Subject: Re: Bug#627742: pu: package libfinance-quotehist-perl/1.14-1+squeeze1
Date: Wed, 25 May 2011 20:43:44 +0100
package release.debian.org
tag 627742 + squeeze confirmed
thanks

On Tue, 2011-05-24 at 00:26 -0500, John Lightsey wrote:
> The unit tests in libfinance-quotehist-perl 1.14-1 fail because they assume
> that adjusted historical stock quotes queried from public sources will remain
> constant. This assumption is faulty and the upstream author has overhauled the
> unit tests in 1.16 to correct this. For 1.14-1 in stable, I'd like to disable
> the unit tests to close out the FTBFS bug #612914.

Please go ahead; thanks.

Regards,

Adam





Added tag(s) squeeze and confirmed. Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Wed, 25 May 2011 19:45:08 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Tue, 31 May 2011 20:27:04 GMT) Full text and rfc822 format available.

Bug marked as fixed in version 6.0.2, send any further explanations to John Lightsey <lightsey@debian.org> Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sun, 26 Jun 2011 15:03:28 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jul 2011 07:37:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 12:05:47 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.